Subject: Re: bug#26358: 25.1; Info-quoted face displays HORIZONTAL ELLIPSIS same as PERIOD

From: Eli Zaretskii <[email-masked]>
Date: Tue, 04 Apr 2017 17:22:50 +0300

> From: [email-masked]
> Date: Tue, 04 Apr 2017 18:47:02 +0900
> 
> For example, view (elisp)A Sample Function Description.
> There is a text:
>     ‘REPEATED-ARGS…’ stands for zero or more arguments.
> It looks like:
>     ‘REPEATED-ARGS.’ stands for zero or more arguments.
> 
> Typing C-u C-x = on the character shows *Help* buffer
> containing text below.
> Note: '(displayed as …)' looks like '(displayed as .)'

It doesn't look like . here, when I read your mail.

>             character: … (displayed as …) (codepoint 8230, #o20046, #x2026)
>     preferred charset: japanese-jisx0208 (JISX0208.1983/1990 Japanese Kanji: ISO-IR-87)
> code point in charset: 0x2144
>                script: symbol
>                syntax: _ 	which means: symbol
>              category: .:Base, c:Chinese, h:Korean, j:Japanese
>              to input: type "C-x 8 RET 2026" or "C-x 8 RET HORIZONTAL ELLIPSIS"
>           buffer code: #xE2 #x80 #xA6
>             file code: #xE2 #x80 #xA6 (encoded by coding system utf-8-unix)
>               display: by this font (glyph code)
>     gdi:-raster-Courier-normal-normal-normal-mono-20-*-*-*-c-*-iso8859-1 (#x2026)

There are 2 issues here, none of them a bug in Emacs per se:

  . The Info file you are looking at was produced by Texinfo 6.0,
    which produced the ellipsis in code segments, which is a bug (it
    was fixed in Texinfo 6.1);

  . The Courier font, as displayed on your system, produces a glyph
    for the ellipsis character that looks bad.

I see none of these 2 problems on my system.  In any case, I see no
Emacs bug here.

Thanks.